SOURCES: prewikka.init (NEW), prewikka.sysconfig (NEW) - new from ...

arekm arekm at pld-linux.org
Sat Jan 6 21:23:32 CET 2007


Author: arekm                        Date: Sat Jan  6 20:23:32 2007 GMT
Module: SOURCES                       Tag: HEAD
---- Log message:
- new from Tomasz Rutkowski

---- Files affected:
SOURCES:
   prewikka.init (NONE -> 1.1)  (NEW), prewikka.sysconfig (NONE -> 1.1)  (NEW)

---- Diffs:

================================================================
Index: SOURCES/prewikka.init
diff -u /dev/null SOURCES/prewikka.init:1.1
--- /dev/null	Sat Jan  6 21:23:32 2007
+++ SOURCES/prewikka.init	Sat Jan  6 21:23:27 2007
@@ -0,0 +1,67 @@
+#!/bin/sh
+# Startup script for prewikka
+#
+# chkconfig: 2345 98 01
+# description: Run prewikka
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# Get service config
+if [ -f /etc/sysconfig/prewikka ]; then
+        . /etc/sysconfig/prewikka
+else
+	nls "Error: %s not found" /etc/sysconfig/prewikka
+	nls " Prewikka can't be run."
+        exit 1
+fi
+
+
+case "$1" in
+    start)
+	    if [ ! -f /var/lock/subsys/prewikka ]; then
+		msg_starting "Prewikka"
+		daemon --fork prewikka-httpd $PREWIKKA_OPTS
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/prewikka
+	    else
+		msg_already_running "Prewikka"
+	    fi
+	    ;;
+
+    stop)
+	    if [ -f /var/lock/subsys/prewikka ]; then
+		msg_stopping "Prewikka"
+		killproc prewikka-httpd
+		rm -f /var/lock/subsys/prewikka
+	    fi
+	    ;;
+
+    restart)
+	    $0 stop
+	    $0 start
+	    exit $?
+	    ;;
+
+    reload|force-reload)
+	    if [ -f /var/lock/subsys/prewikka ]; then
+		msg_reloading "Prewikka"
+		killproc prewikka-httpd -HUP
+		RETVAL=$?
+	    else
+		msg_not_running prewikka >&2
+		exit 7
+	    fi
+	    ;;
+
+    status)
+	    status prewikka
+    ;;
+
+    *)
+    echo $"Usage: $0 {start|stop|restart|reload|force-reload|status}"
+    exit 1
+
+esac
+
+exit 0

================================================================
Index: SOURCES/prewikka.sysconfig
diff -u /dev/null SOURCES/prewikka.sysconfig:1.1
--- /dev/null	Sat Jan  6 21:23:32 2007
+++ SOURCES/prewikka.sysconfig	Sat Jan  6 21:23:27 2007
@@ -0,0 +1,9 @@
+# Prewikka startup configuration file
+
+# Try to define nice-level for running Prewikka
+SERVICE_RUN_NICE_LEVEL="+0"
+
+# default prewikka options
+# -a [address]	default: 0.0.0.0
+# -p [port]	default: 8000
+#PREWIKKA_OPTS=""
================================================================


More information about the pld-cvs-commit mailing list